Skip to main content
POST
/
chatbots
/
{chatbotId}
/
custom-attributes
Create custom attribute
curl --request POST \
  --url https://www.chatbase.co/api/v1/chatbots/{chatbotId}/custom-attributes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "department",
  "type": "text",
  "label": "Department",
  "description": "Employee department",
  "archived": false
}
'
import requests

url = "https://www.chatbase.co/api/v1/chatbots/{chatbotId}/custom-attributes"

payload = {
"name": "department",
"type": "text",
"label": "Department",
"description": "Employee department",
"archived": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'department',
type: 'text',
label: 'Department',
description: 'Employee department',
archived: false
})
};

fetch('https://www.chatbase.co/api/v1/chatbots/{chatbotId}/custom-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Success",
  "data": {
    "name": "department",
    "label": "Department",
    "type": "text",
    "description": "Employee department",
    "archived": false
  }
}
{
"message": "Invalid request data"
}
{
"message": "No API key provided."
}
{
"message": "Resource not found"
}
{
"message": "Rate limit exceeded. Please try again later."
}
{
"message": "Internal server error"
}

Authorizations

Authorization
string
header
required

API key in Bearer token format

Path Parameters

chatbotId
string
required

ID of the chatbot

Body

application/json
name
string
required

Attribute name (must start with a letter and can only contain letters, numbers, underscores, and hyphens)

Pattern: ^[a-zA-Z][a-zA-Z0-9_-]*$
Example:

"department"

type
enum<string>
required

Attribute data type

Available options:
text,
number,
boolean,
date
Example:

"text"

label
string

Display label for the attribute

Example:

"Department"

description
string

Description of the attribute

Example:

"Employee department"

archived
boolean
default:false

Whether the attribute is archived

Example:

false

Response

Custom attribute created successfully

message
string
Example:

"Success"

data
object

Created custom attribute